<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>Triangle test</title>

    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>

    <script src="../lib/shapes/Shape.js"></script>
    <script src="../lib/shapes/Triangle.js"></script>

  </head>
  <body>

    <script>

    setup (() => {
        this.view = {
            createTriangle: (x, y, w, h) => {
                return {x: x, width: w, canContain: () => true}
            },
            createText: (t, s) => {
                return {text: "test", moveTo: () => {}}
            }
        }
        this.resizers = {update: () => {}, margin: () => 0}
        this.triangle = new Triangle(view, resizers);
    })

    test('should not contains the given x if shape has not been shown', () => {
        assert.ok(!this.triangle.contains(100))
    })

    </script>

  </body>
</html>
